create table dspam_token_data (
  uid smallint unsigned,
  token varchar(32), 
  spam_hits int,
  innocent_hits int,
  last_hit date
) type=MyISAM;

create unique index id_token_data_01 on dspam_token_data(uid,token);
create index id_token_data_02 on dspam_token_data(innocent_hits);

create table dspam_signature_data (
  uid smallint unsigned,
  signature varchar(128),
  data blob,
  length smallint,
  created_on date
) type=MyISAM;

create unique index id_signature_data_01 on dspam_signature_data(uid,signature);

create table dspam_stats (
  uid smallint unsigned primary key,
  total_spam int,
  total_innocent int,
  spam_misses int,
  false_positives int,
  spam_corpusfed int,
  innocent_corpusfed int
) type=MyISAM;

